classification
Title: popen2 work, fixes bugs 768649 and 761888
Type: behavior Stage: test needed
Components: Library (Lib) Versions: Python 2.6
process
Status: closed Resolution: out of date
Dependencies: 761888 Superseder:
Assigned To: loewis Nosy List: ajaksu2, amaury.forgeotdarc, gaul, loewis
Priority: normal Keywords: patch

Created on 2003-10-01 18:48 by gaul, last changed 2010-08-18 16:39 by BreamoreBoy. This issue is now closed.

Files
File name Uploaded Description Edit
popen2.diff gaul, 2003-10-01 18:48 popen2 work
Messages (4)
msg44725 - (view) Author: Andrew Gaul (gaul) Date: 2003-10-01 18:48
Plug popen2.popen[234] leak (see bug #768649 for
discussion).  Handle os.{pipe,fork} exceptions (see bug
#761888).  Change class variables into instance
variables, allowing following code to work properly:

from popen2 import Popen3
p1 = Popen3('ls')
p1.fromchild.read()
Popen3('ls').fromchild.read()
Popen3('ls').fromchild.read()
p1.wait()

Update docstrings to mention popen4 and warn about
mixing Popen3 objects and threading.  Expand on MAX_FD
comment.
msg81495 - (view) Author: Daniel Diniz (ajaksu2) (Python triager) Date: 2009-02-09 21:45
Maybe this is a won't fix, since popen2 in long deprecated?
msg81695 - (view) Author: Daniel Diniz (ajaksu2) (Python triager) Date: 2009-02-12 00:42
The test code seems to run fine in a debug build of trunk, but the
linked issues requires a more complex context.
msg90331 - (view) Author: Amaury Forgeot d'Arc (amaury.forgeotdarc) * (Python committer) Date: 2009-07-09 14:54
OTOH, the test code runs fine with python 2.4.4, so what is the purpose
of this patch?
History
Date User Action Args
2010-08-18 16:39:46BreamoreBoysetstatus: open -> closed
resolution: out of date
2009-07-09 14:54:27amaury.forgeotdarcsetnosy: + amaury.forgeotdarc
messages: + msg90331
2009-02-12 00:42:41ajaksu2settype: behavior
versions: + Python 2.6, - Python 2.3
dependencies: + popen2.Popen3 and popen2.Popen4 leaks filedescriptors
messages: + msg81695
stage: test needed
2009-02-09 21:45:31ajaksu2setnosy: + ajaksu2
messages: + msg81495
2003-10-01 18:48:03gaulcreate